Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Interface AngleHandler

All Known Implementing Classes:
  DefaultAngleHandler

    public interface AngleHandler

This interface must be implemented and then registred as the handler of a `AngleParser` instance in order to be notified of parsing events.

Method Summary
`void` | `angleValue(float v)` Invoked when a float value has been parsed.
`void` | `deg()` Invoked when 'deg' has been parsed.
`void` | `endAngle()` Invoked when the angle attribute parsing ends.
`void` | `grad()` Invoked when 'grad' has been parsed.
`void` | `rad()` Invoked when 'rad' has been parsed.
`void` | `startAngle()` Invoked when the angle attribute parsing starts.

Method Detail

### startAngle

    void startAngle()
                    throws ParseException

  Invoked when the angle attribute parsing starts.

  Throws:
    `ParseException` - if an error occured while processing the angle

### angleValue

    void angleValue(float v)
                    throws ParseException

  Invoked when a float value has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the angle

### deg

    void deg()
             throws ParseException

  Invoked when 'deg' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the angle

### grad

    void grad()
              throws ParseException

  Invoked when 'grad' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the angle

### rad

    void rad()
             throws ParseException

  Invoked when 'rad' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the angle

### endAngle

    void endAngle()
                  throws ParseException

  Invoked when the angle attribute parsing ends.

  Throws:
    `ParseException` - if an error occured while processing the angle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.